Bug 186358 - Remove unused debug mode conditions
Summary: Remove unused debug mode conditions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-06-06 11:34 PDT by Brent Fulgham
Modified: 2018-06-13 11:38 PDT (History)
7 users (show)

See Also:


Attachments
Patch (2.71 KB, patch)
2018-06-06 11:50 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.25 MB, application/zip)
2018-06-06 13:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews200 for win-future (12.79 MB, application/zip)
2018-06-06 15:36 PDT, Build Bot
no flags Details
Patch (15.04 KB, patch)
2018-06-06 17:18 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2018-06-06 11:34:28 PDT
Remove unused code paths from ITP debug mode now that we've settled on final behavior.
Comment 1 Brent Fulgham 2018-06-06 11:50:45 PDT
Created attachment 342068 [details]
Patch
Comment 2 Brent Fulgham 2018-06-06 11:51:05 PDT
<rdar://problem/39117121>
Comment 3 Build Bot 2018-06-06 13:35:09 PDT
Comment on attachment 342068 [details]
Patch

Attachment 342068 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/8035859

New failing tests:
http/tests/resourceLoadStatistics/non-prevalent-resources-can-access-cookies-in-a-third-party-context.html
http/tests/resourceLoadStatistics/third-party-cookie-with-and-without-user-interaction.html
http/tests/resourceLoadStatistics/partitioned-cookies-with-and-without-user-interaction.html
http/tests/resourceLoadStatistics/partitioned-and-unpartitioned-cookie-with-partitioning-timeout.html
Comment 4 Build Bot 2018-06-06 13:35:10 PDT
Created attachment 342079 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 5 Build Bot 2018-06-06 15:36:09 PDT
Comment on attachment 342068 [details]
Patch

Attachment 342068 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8038239

New failing tests:
http/tests/preload/onload_event.html
Comment 6 Build Bot 2018-06-06 15:36:20 PDT
Created attachment 342086 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 7 Brent Fulgham 2018-06-06 17:18:46 PDT
Created attachment 342098 [details]
Patch
Comment 8 John Wilander 2018-06-06 19:44:39 PDT
Looks good to me. This change should be very simple and mostly be touching test expectations, which it is.
Comment 9 zalan 2018-06-07 09:48:07 PDT
Comment on attachment 342098 [details]
Patch

rs=me
Comment 10 Brent Fulgham 2018-06-07 10:05:13 PDT
Committed r232585: <https://trac.webkit.org/changeset/232585>
Comment 11 Brent Fulgham 2018-06-07 10:17:55 PDT
Comment on attachment 342098 [details]
Patch

Clearing flags after landing fix.
Comment 12 Ryan Haddad 2018-06-07 22:00:07 PDT
http/tests/resourceLoadStatistics/partitioned-and-unpartitioned-cookie-with-partitioning-timeout.html is timing out frequently on iOS after this change:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2FresourceLoadStatistics%2Fpartitioned-and-unpartitioned-cookie-with-partitioning-timeout.html